aboutsummaryrefslogtreecommitdiffstats
path: root/tool/install-sh
diff options
context:
space:
mode:
Diffstat (limited to 'tool/install-sh')
-rw-r--r--[-rwxr-xr-x]tool/install-sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tool/install-sh b/tool/install-sh
index e69de29bb2..a5d118598f 100755..100644
--- a/tool/install-sh
+++ b/tool/install-sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Just only for using AC_PROG_INSTALL in configure.in.
+# See autoconf.info for more detail.
+
+cat <<EOF >&2
+Ruby tries to use a BSD-compatible install(1) if possible. However Ruby
+has its own install(1) alternative.
+
+This script is necessary just for using AC_PROG_INSTALL in configure.in,
+however, it will not executed. So this script just fails.
+Please report a bug of Ruby to http://redmine.ruby-lang.org if you meet
+this message.
+
+Thank you.
+EOF
+exit 1